<script>
export default {
  name: 'ElgPrintablePage',
}
</script>

<template>
  <div class="elg-printable-page"><slot /></div>
</template>

<style lang="scss" scoped>
$margin: 1cm;
$padding: 1cm;
$height: 29.7cm - $margin * 2;
$width: 21cm - $margin * 2;
$border-color: #CCC;

.elg-printable-page {
  --printable-page-paddings: #{$padding};

  background: white;
  page-break-after: always;
  margin: $margin;
  padding: $padding;
  border: 1px solid $border-color;

  width: $width;
  height: $height;

  overflow: hidden;

  &:not(:first-child) {
    margin-top: $margin * 2
  }
}
</style>
